Bug 249210 - Latest cracklib update prevents any password changes
Summary: Latest cracklib update prevents any password changes
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cracklib   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-22 17:28 UTC by Jimmy Rentz
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version: 2.8.10-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 17:35:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jimmy Rentz 2007-07-22 17:28:05 UTC
Description of problem:
The latest cracklib devel update prevents any password changes. 

Version-Release number of selected component (if applicable):
cracklib 2.8.10


How reproducible:
Change a password for a user

Steps to Reproduce:
passwd someuser
Changing password for user someuser.
New UNIX password:
  
Actual results:

/usr/share/cracklib/pw_dict: error reading header
PWOpen: Success

Expected results:

Retype new UNIX password: 
passwd: all authentication tokens updated successfully.

Additional info:
I did some searching and come across this bug:
http://www.nabble.com/-Bug-31210--lib64crack2,-New:-Setting-up-a-password-failed-t3871773.html
I believe this is the same issue.

Comment 1 Joachim Frieben 2007-07-22 19:39:15 UTC
Reverting 'cracklib' packages to version 2.8.9 from 'F7' allows to
restore proper function which is mandatory after a fresh install
from the 'rawhide' development tree.

Comment 2 Nalin Dahyabhai 2007-07-23 17:35:52 UTC
Ugh, don't know why I didn't catch that.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.